Subject: Re: cpu power "management" for non-dfs chips with no pmu (for instance, 750cxe and mpc7447 in pegasos)

From: Jon Loeliger <[email-masked]>
Date: Fri, 23 Jun 2006 09:26:57 -0500

So, like, the other day "Matt Sealey" mumbled:
> 
> I have nothing real to contribute other than I would like to see it :)

Disbelief.  :-)

> Before I asked I checked Google (as is expected of anyone these days)
> and found some discussions on debian-powerpc from 2002 but nobody
> really did anything and nothing really came of it. I know 4 years later
> all we have is powernowd which pokes up cpufreq which only supports
> DFS and certain kinds of Mac PMU. 

Which is why it is all being revitalized now... :-)
There was a mini symposium a couple months ago that started
a few working groups to help kick start this back into viability.

> ICTC is such a simple thing to support and you can slow down the CPU
> pretty comprehensively (from halving to 255x in theory) with an on and
> off flag. I am surprised nobody implemented a cpufreq governer even if
> it is totally useless and gives no perceivable benefits..

See?  You _are_ contributing already.  I encourage
you to hit the [email-masked] list for a spell!

You could start here:
	https://lists.osdl.org/mailman/listinfo/linux-pm

Thanks,
jdl